const services = require('../services/userManagement.service')


const create = async (req, res) => {
    const response = await services.create(req, res)
    return response
} 

const index = async (req, res) => {
    const response = await services.index(req, res)
    return response
}

const update = async (req, res) => {
    const response = await services.update(req, res)
    return response
}

const destroy = async (req, res) => {
    const response = await services.destroy(req, res)
    return response
}

const suspend = async (req, res) => {
    const response = await services.suspend(req, res)
    return response 
}

const unsuspend = async (req, res) => {
    const response = await services.unsuspend(req, res)
    return response
}

module.exports = {
    index, 
    create,
    update,
    destroy,
    suspend,
    unsuspend
}